import "./tasks/AnnotSV.wdl" as AnnotSV

workflow {{ project_name }} {
  
  String sample_id
  File? tumor_bam
  File? tumor_bam_index
  File? normal_bam
  File? normal_bam_index
  String? duplex_umi
  String? read_structure
  
  File somatic_vcf
  File? germline_vcf
  
  String SENTIEON_LICENSE
  String sentieon_docker
  String manta_docker
  String bcftools_docker
  String annovar_docker
  String annotsv_docker
  String cnvkit_docker
  String sequenza_docker
  String msisensor_docker
  String tmb_docker
  
  String platform
  File ref_dir
  String fasta
  File dbmills_dir
  String db_mills
  File dbsnp_dir
  String dbsnp
  File germline_resource
  File germline_resource_tbi
  File annovar_database
  File annotsv_database
  File gc
  File baseline
  File ref_flat
  
  File? regions
  Int? interval_padding
  
  String disk_size
  String cluster_config
  
  call AnnotSV.AnnotSV as Manta_AnnotSV {
    input:
    sample=sample_id,
    somatic_vcf=somatic_vcf,
    germline_vcf=germline_vcf,
    annotsv_database=annotsv_database,
    docker=annotsv_docker,
    cluster_config=cluster_config,
    disk_size=disk_size
  }
}